% buildpyr_gt
% build pyr ground truth

t_n = t_end - t_begin +1;
s_n = s_end - s_begin +1;

%infer t_c, s_c
m = 0; % s count
n = 0; % t count
for t = t_begin:t_end
    n = n+1;
    m = 0;
    for s = s_begin:s_end
        m = m+1;
        
        if t == 0 && s == 0
            t_c = n;
            s_c = m;
            break;
        end
        
    end
end

% check level setting
if im_hr_w/im_lr_w ~= params.p2sr_factor || im_hr_h/im_lr_h ~= params.p2sr_factor
    error('wrong resoluton!');
end

if lev_f^(lev_num-1) ~= params.p2sr_factor
    error('wrong level setting!');
end


pyr_gt = cell(t_n,s_n,lev_num);

m = 0; % s count
n = 0; % t count
for t = t_begin:t_end
    n = n+1;
    
    for s = s_begin:s_end
        
        m = m+1;
        im = GetIMfromDataSet(im_path,s,t);
        im = imresize(im, [im_hr_h im_hr_w],'bilinear');
        
        for lev = 1:lev_num
            pyr_gt{n,m,lev} = imresize(im,(1/lev_f)^(lev_num - lev),'bilinear');
            if lev == lev_num
                MySaveIM(pyr_gt{n,m,lev},out_path,lev,s,t,'GT');
            end
        end
        
        
    end
    
    m = 0;
    
end


