% compute the disparity between two RGB images
function  disp = CmpDispWithInit(im_l,im_r,disp_init,params)
im_l_gray = double(rgb2gray(im_l));
im_r_gray = double(rgb2gray(im_r));

t = tic;
fprintf('init disp ... ');
disp  = disp_init;
toc(t);
% save('disp_0.mat','disp');
t = tic;
% infer disp ------------------------------------------------------
fprintf('refine iter: begin\n');

for i = 1:params.iter_refine
    fprintf('%d. ',i);
    % disp(abs(disp)>=5) = 0; % remove wrong part

    disp_rf = FastRefineDisp(im_l_gray,im_r_gray,disp,1,15,params);
    disp = guidedfilter_color(double(im_l),disp_rf,10, params.eps);
    
end
fprintf('refine iter: ');
toc(t);


end