% generate dense lf
den_s_num = 9;
den_t_num = 9;
is_syn_done = 1;
lev = lev_num;

p2sr_iter = 1;

cur_PaSR_ver = sprintf('PaSR_%d',p2sr_iter);
cur_PhSR_ver = sprintf('PhSR_%d',p2sr_iter);
cur_P2SR_ver = sprintf('PhSR_%d_syn',p2sr_iter);

%% load sparse light field
sprs_lf = cell(t_n,s_n);
for t = t_begin:t_end
    for s = s_begin:s_end
        
        if t == 0 && s == 0
            sprs_lf{t+t_c,s+s_c} = pyr_gt{t_c,s_c,lev_num};
        else
            if is_syn_done
                sprs_lf{t+t_c,s+s_c} = MyReadIM(out_path,lev,s,t,cur_P2SR_ver);
            else
                sprs_lf{t_c+t,s_c+s} = P2SR_syn(MyReadIM(out_path,lev,s,t,cur_PhSR_ver),MyReadIM(out_path,lev,s,t,cur_PaSR_ver));
            end
        end                
    end   
end

%% generte dense light field

% cmp disp
load_disp = load(sprintf('%s/PhSR_disp_%d.mat',out_path,p2sr_iter));
disp_PaSR = load_disp.disp_init;
clear load_disp;
% out_path_disp_new = [out_path_disp,'_sprs'];
% if ~exist(out_path_disp_new,'dir')
%     mkdir(out_path_disp_new);
% end
%     
% params.PhSR.disp_path = out_path_disp_new;
% % compute disp with new images
% disp_new = CmpDispMulti(sprs_lf,t_c,s_c,params.PhSR,p2sr_iter);
% save('debug_test_disp','disp_new','disp_PaSR');

%%
disp_cur = disp_PaSR;

dis_delta = 1/7;
for t = 0:2
    for s = -7:7
        if s == 0 && t == 0
            new_view = sprs_lf{t_c,s_c};
        else
            new_view = SynIm(sprs_lf{t_c,s_c},disp_cur,dis_delta*s,dis_delta*t,params.PhSR);
        end
        imwrite(new_view,sprintf('lf_t%03d_s%03d.png',t,s));
    end
end

% nviews_fl{k} = SynIm(im_l,disp_0,dis_delta*k,0,PhSR_params);

%1. center ->> right
% im_newviews = SynNewViews(sprs_lf{t_c,s_c},sprs_lf{t_c,s_n},disp_cur,60,params.PhSR);

%2. center ->> left

%3. t = 0 ->> down

%4. t = 0 ->> up

















