function psnr = GetPSNR(im,im_ref)

im = uint8(im);
im_ref = uint8(im_ref);

if size(im,3) == 3
    im = double(rgb2gray(im));
end

if size(im_ref,3) == 3
    im_ref = double(rgb2gray(im_ref));
end

[im_h,im_w] = size(im);

im = double(im);
im_ref = double(im_ref);

MES = sum(sum((im - im_ref).^2))/(im_h * im_w);   
psnr = 20*log10(255/sqrt(MES));

end