function [im_syn, im_syn_nl,disps ] = SynRefine(im_0,im_ref,im_ref_gt,params)
im_syn = cell(size(im_ref));
im_syn_nl = im_syn;
disps = cell(size(im_ref));

ref_num = length(im_ref);
refine_dis = params.refine_dis;

for m = 1:ref_num
    
    
    %% 1. norefine
    
        disp_0 = CmpDisp(im_0,im_ref{m},params);
 
        im_syn{m} = SynIm(im_0,disp_0,1,0,params);
        im_syn_nl{m} = im_syn{m};       
        im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
        fprintf('##########################################\n');
        fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
        fprintf('##########################################\n');
    %% 2 refine on self, do not work
    %     params.filter_kernel = 31;
    %     params.disp_range = 15;
    %
    %     disp_0 =  CmpDisp(im_0,im_ref{m},params);
    %
    %     params.iter_refine = 2;
    %     params.filter_kernel = 5;
    %     params.disp_range = 5;
    %
    %     % refine by skip refine_dis frames
    %
    %     ref_ind = m;
    %     ref_dis = 1;
    %
    %     if m+refine_dis-1 > ref_num
    %         ref_ind = ref_num;
    %         ref_dis = ref_num - m +1;
    %     end
    %
    %     psnr_rec = [];
    %     im_cur = SynIm(im_0,disp_0,ref_dis,0,params);
    %
    %     cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
    %     psnr_rec = [psnr_rec,cur_psnr];
    %
    %     error_disp = zeros(size(disp_0));
    %     for k = 1:1
    %         cur_error_disp = CmpDisp(im_cur,im_ref{ref_ind},params);
    %         error_disp = error_disp+cur_error_disp;
    %         im_cur = SynIm(im_cur,cur_error_disp,1,0,params);
    %         cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
    %         psnr_rec = [psnr_rec,cur_psnr];
    %         %                 imwrite(im_cur,sprintf('im_%02d.png',k));
    %     end
    %     psnr_rec
    %
    %     disp_0_refine = disp_0 + error_disp/ref_dis;
    %
    %     disps{m} = disp_0_refine;
    %
    %     im_syn{m} = SynIm(im_0,disps{m},1,0,params);
    %     im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
    %     fprintf('##########################################\n');
    %     fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
    %     fprintf('##########################################\n');
    %% 3 refine on others
%     params.iter_refine = 5;
%     params.filter_kernel = 31;
%     params.disp_range = 31;
%     
%     disp_0 =  CmpDisp(im_0,im_ref{m},params);
%     
%     params.iter_refine = 3;
%     params.filter_kernel = 5;
%     params.disp_range = 5;
%     
%     % refine by skip refine_dis frames
%     
%     
%     ref_ind = m + 2;    
% 
%     if ref_ind > ref_num
%         ref_ind = ref_num;
%     end
%     ref_dis = ref_ind/m;
%     
%     if ref_dis > 1
%         
%         psnr_rec = [];
%         im_cur = SynIm(im_0,disp_0,ref_dis,0,params);
%         
%         cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
%         psnr_rec = [psnr_rec,cur_psnr];
%         
%         error_disp = zeros(size(disp_0));
%         for k = 1:1
%             cur_error_disp = CmpDisp(im_cur,im_ref{ref_ind},params);
%             error_disp = error_disp+cur_error_disp;
%             im_cur = SynIm(im_cur,cur_error_disp,1,0,params);
%             cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
%             psnr_rec = [psnr_rec,cur_psnr];
%             %                 imwrite(im_cur,sprintf('im_%02d.png',k));
%         end
%         psnr_rec
%         
%         disp_0_refine = disp_0 + error_disp/ref_dis;
%     else
%         disp_0_refine = disp_0;
%     end
%     
%     disps{m} = disp_0_refine;
%     
%     im_syn{m} = SynIm(im_0,disps{m},1,0,params);
%     im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
%     fprintf('##########################################\n');
%     fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
%     fprintf('##########################################\n');
    
    %% old version
%         params.iter_refine = 5;
%         params.filter_kernel = 31;
%         params.disp_range = 15;
%     
%         if m ==1
%             disp_0 =  CmpDisp(im_0,im_ref{1},params);
%         else
%             disp_0 =  CmpDisp(im_syn{m-1},im_ref{m},params);
%         end
%     
%         params.iter_refine = 2;
%         params.filter_kernel = 5;
%         params.disp_range = 5;
%     
%         % refine by skip refine_dis frames
%     
%         ref_ind = m+refine_dis-1;
%         ref_dis = refine_dis;
%     
%         if m+refine_dis-1 > ref_num
%             ref_ind = ref_num;
%             ref_dis = ref_num - m +1;
%         end
%     
%         psnr_rec = [];
%         if m == 1
%             im_cur = SynIm(im_0,disp_0,ref_dis,0,params);
%         else
%             im_cur = SynIm(im_syn{m-1},disp_0,ref_dis,0,params);
%         end
%     
%         cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
%         psnr_rec = [psnr_rec,cur_psnr];
%     
%         error_disp = zeros(size(disp_0));
%         for k = 1:1
%             cur_error_disp = CmpDisp(im_cur,im_ref{ref_ind},params);
%             error_disp = error_disp+cur_error_disp;
%             im_cur = SynIm(im_cur,cur_error_disp,1,0,params);
%             cur_psnr = GetPSNR(im_cur, im_ref_gt{ref_ind});
%             psnr_rec = [psnr_rec,cur_psnr];
%             %                 imwrite(im_cur,sprintf('im_%02d.png',k));
%         end
%         psnr_rec
%     
%         disp_0_refine = disp_0 + error_disp/ref_dis;
%         if m == 1
%             disps{m} = disp_0_refine;
%     %         im_syn{m} = SynIm(im_0,disp{m},1,0,params);
%         else
%             disps{m} = disps{m-1} + disp_0_refine;
%     %         im_syn{m} = SynIm(im_syn{m-1},disp{m},1,0,params);
%         end
%         im_syn{m} = SynIm(im_0,disps{m},1,0,params);
%         im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
%         fprintf('##########################################\n');
%         fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
%         fprintf('##########################################\n');
end


end