
clear;
addpath('mex');
addpath ../;

alpha = 0.012;
ratio = 0.75;
minWidth = 20;
nOuterFPIterations = 7;
nInnerFPIterations = 1;
nSORIterations = 30;
para = [alpha,ratio,minWidth,nOuterFPIterations,nInnerFPIterations,nSORIterations];

% read frames
im1 = imread('im_l4_t099_s099_PaSR_1_nolr.png');
im2 = imread('im_l4_t099_s099_PhSR_1_nolr.png');

warpI2 = im2;
for k = 1:1 
    [vx,vy,warpI2] = Coarse2FineTwoFrames(im1,warpI2,para);
    imwrite(warpI2,sprintf('im_Ph_wrap_%d.png',k));
end
imwrite(warpI2,'im_Ph_wrap.png');

%%
% warpI2 = double(warpI2);
% im2 = double(im2);
% 
% im2_h = im2 - imresize(imresize(im2,1/2,'bilinear'),2,'bilinear');
% warpI2_h = warpI2 - imresize(imresize(warpI2,1/2,'bilinear'),2,'bilinear');
% 
% im1_l = imresize(imresize(im1,1/2,'bilinear'),2,'bilinear');
% 
% 
% figure;
% imshow(im2_h,[]);
% %%
% figure;
% imshow(warpI2_h,[]);
% %%
% figure;
% imshow(im1_l,[]);
%%
im_Ph_wrap_Pa = LP_Refine2(warpI2*255,im1);
imwrite(im_Ph_wrap_Pa,'im_Ph_wrap_Pa_8.png');
%%
% im_Ph_Pa = LP_Refine2(im2,im1);
% imwrite(im_Ph_Pa,'im_Ph_Pa.png');




    



